
Application: gvSIG desktop - gvSIG bugs #5353
Al crear un SHP nuevo no se crea el prj
07/21/2020 04:32 PM - Mario Carrera

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Francisco Díaz Carsí
Category: Vector editing
Target version: 2.5.1-3037
Severity: Critical Add-on version:
gvSIG version: 2.5.1 Add-on build:
gvSIG build: 3028 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

He creado varios SHP nuevos desde el último build y no se ha creado el prj en ellos, por lo que al cargarlos después no reconoce su
CRS.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 5346: Filtro avanzado: A... Closed 07/15/2020

Associated revisions
Revision 45318 - 09/24/2020 10:59 AM - Francisco Díaz Carsí

refs #5353 Added creation fo PRJ file when create SHP file

History
#1 - 07/24/2020 10:39 AM - Mario Carrera
- Severity changed from Minor to Critical

#2 - 08/21/2020 01:32 PM - Álvaro Anguix
- Priority changed from Normal to High

#3 - 09/22/2020 09:43 AM - Álvaro Anguix
- Related to gvSIG bugs #5346: Filtro avanzado: Al exportar a SHP los resultados de un filtro, no reconoce el CRS added

#4 - 09/22/2020 09:52 AM - Mario Carrera
- File gvSIG.log added

Me sigue ocurriendo en el 3035. Adjunto log.

La nueva capa que he creado es Multipolígono con un campo "Campo1" de tipo string.

#5 - 09/22/2020 09:55 AM - Álvaro Anguix

En mi caso (Linux 64bits) sí me funciona. Mario tiene Linux 14, distro que ya no soportamos. 
Mario, prueba en otros S.O. y si funciona, este bug se pasa a won't fix, al ser una distro ya obsoleta.
#6 - 09/22/2020 12:20 PM - Mario Carrera

Confirmo que en Windows ocurre también, con el BN 3035. Siempre ha sido con la portable.

El caso que pruebo es: 
- Vista en 25830 (probado en 4326 también). 
- Vista->Nueva capa 
- La guardo en disco (solo escribo el nombre del fichero, no ".shp" al final), de tipo multipolígono, le creo un campo nuevo "Campo1" de tipo String. Y
le digo que la añada a la Vista.

Si voy a la carpeta están el dal, cpg, shp, shx y dbf.

#7 - 09/24/2020 10:48 AM - Francisco Díaz Carsí
- Assignee set to Francisco Díaz Carsí
- Status changed from New to In progress

#8 - 09/24/2020 11:00 AM - Francisco Díaz Carsí
- Status changed from In progress to Fixed

#9 - 09/25/2020 02:06 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3042-RC2 to 2.5.1-3037

#10 - 09/30/2020 02:10 PM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
gvSIG.log 444 KB 09/22/2020 Mario Carrera
